\name{warping.step}
\title{plot WARPing estimates as step functions}
\usage{
}
\alias{warping.step} 
\arguments{
Required:
\item{x}{vector of data}
\item{bandwidth}{for warping}
\item{M}{number of small bins for warping}
\item{kernel}{code for kernel (see warping)}

Optional:
\item{...}{options for barplot.}
}
\value{none
}
\description{plot WARPing estimates as step functions
}
\seealso{\code{\link{warping}}}
)
\examples{
data(dat.mixed)
# Figure 2.17
zoom <- dat.mixed[abs(dat.mixed) <=1]
warping.step(zoom,0.3,5,4)
lines(kde(zoom,4,0.3,50))

data(buffalo)
# Figure 2.18
par(mfrow=c(2,2))
warping.step(buffalo,10,1,4)
warping.step(buffalo,10,5,4)
warping.step(buffalo,10,15,4)
plot(kde(buffalo,4,10,100),type="l",xlab="",ylab="",cex=0.6)
}
\references{`Smoothing Techniques with Implementation in S', Wolfgang Haerdle,
Springer, 1991
}
